Subject: mbsalign.c old c compiler complains about variables defined inside code
From: Suhan Andrei <[email-masked]>
To: [email-masked]
Date: Fri, 24 Sep 2010 13:15:08 -0700 (PDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi

Just wanted to let you know there are some errors when using old compiler 
(
gcc -v
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/specs
gcc version egcs-2.91.66 19990314/Linux (egcs-1.1.2 release)
)

Tere are 2 variables defined inside blocks of code that triggers old c compiler 
to spill errors.
I used code from coreutils-8.5.tar.gz 
I moved declaration at the start of code and all compiled ok.

Andrei.